Skip to content
LogoLogo

Admin

Node API v1.0.0 (Arrekta Node API).

MethodPathSummary
POST/v1/admin/bansAdmin Ban
DELETE/v1/admin/bans/{host}Admin Unban
GET/v1/admin/integrityAdmin Integrity
POST/v1/admin/mineAdmin Mine
GET/v1/admin/peersAdmin Peers
POST/v1/admin/peersAdmin Connect

POST /v1/admin/bans

Admin Ban.

curl -s -X POST http://127.0.0.1:28332/v1/admin/bans -H 'content-type: application/json' -d '{…}'

Parameters

NameInTypeRequiredNotes
authorizationheaderstring | nullno

Request body (application/json, required): BanBody

FieldTypeRequiredNotes
hoststringyesmax length 255
secondsintegernomin 1, max 31536000, default 86400

Response 200 (application/json)

Type: object.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: admin_ban_v1_admin_bans_post

DELETE /v1/admin/bans/{host}

Admin Unban.

curl -s -X DELETE http://127.0.0.1:28332/v1/admin/bans/<host>

Parameters

NameInTypeRequiredNotes
hostpathstringyes
authorizationheaderstring | nullno

Response 200 (application/json)

Type: object.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: admin_unban_v1_admin_bans__host__delete

GET /v1/admin/integrity

Admin Integrity.

curl -s http://127.0.0.1:28332/v1/admin/integrity

Parameters

NameInTypeRequiredNotes
authorizationheaderstring | nullno

Response 200 (application/json)

Type: object.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: admin_integrity_v1_admin_integrity_get

POST /v1/admin/mine

Admin Mine.

curl -s -X POST http://127.0.0.1:28332/v1/admin/mine -H 'content-type: application/json' -d '{…}'

Parameters

NameInTypeRequiredNotes
authorizationheaderstring | nullno

Request body (application/json, required): MineBody

FieldTypeRequiredNotes
addressstringyes
blocksintegernomin 1, max 1000, default 1

Response 200 (application/json)

Type: object.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: admin_mine_v1_admin_mine_post

GET /v1/admin/peers

Admin Peers.

curl -s http://127.0.0.1:28332/v1/admin/peers

Parameters

NameInTypeRequiredNotes
authorizationheaderstring | nullno

Response 200 (application/json)

Type: object.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: admin_peers_v1_admin_peers_get

POST /v1/admin/peers

Admin Connect.

curl -s -X POST http://127.0.0.1:28332/v1/admin/peers -H 'content-type: application/json' -d '{…}'

Parameters

NameInTypeRequiredNotes
authorizationheaderstring | nullno

Request body (application/json, required): PeerBody

FieldTypeRequiredNotes
hoststringyesmax length 255
portintegeryesmin 1, max 65535

Response 202 (application/json)

Type: object.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: admin_connect_v1_admin_peers_post

Schemas

BanBody

FieldTypeRequiredNotes
hoststringyesmax length 255
secondsintegernomin 1, max 31536000, default 86400

MineBody

FieldTypeRequiredNotes
addressstringyes
blocksintegernomin 1, max 1000, default 1

PeerBody

FieldTypeRequiredNotes
hoststringyesmax length 255
portintegeryesmin 1, max 65535